From: "Michael Weber" <xmw@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-backup/tsm/
Date: Tue, 15 Mar 2016 16:51:24 +0000 (UTC) [thread overview]
Message-ID: <1458060681.0ee55656535bac45b522b697198eb68f1f5af100.xmw@gentoo> (raw)
commit: 0ee55656535bac45b522b697198eb68f1f5af100
Author: Michael Weber <xmw <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 15 16:32:08 2016 +0000
Commit: Michael Weber <xmw <AT> gentoo <DOT> org>
CommitDate: Tue Mar 15 16:51:21 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0ee55656
app-backup/tsm: Version bump.
Package-Manager: portage-2.2.27
app-backup/tsm/Manifest | 1 +
app-backup/tsm/tsm-7.1.3.2.ebuild | 244 ++++++++++++++++++++++++++++++++++++++
2 files changed, 245 insertions(+)
diff --git a/app-backup/tsm/Manifest b/app-backup/tsm/Manifest
index 6a5acad..bd00160 100644
--- a/app-backup/tsm/Manifest
+++ b/app-backup/tsm/Manifest
@@ -69,3 +69,4 @@ DIST 7.1.2.3-TIVsm-msg.RU_RU.x86_64.rpm 4378794 SHA256 97cf9bcca1a56aa7e6da501eb
DIST 7.1.2.3-TIVsm-msg.ZH_CN.x86_64.rpm 3430325 SHA256 ab741203f42010448b5d1e0500d9a8945e76add88c6b3528ec4a7f57341e9c8e SHA512 c34829170ea16c094759580475e205d65fa29a1edb08e3dd763c9486156188e9d1a8a64fb6083ee1ef7f172db568c39bf47b91a65fa3c5de8c7095e6ecb076c6 WHIRLPOOL a49fa02cd9e2254bcf33df66d23abab77e3e16d9d099faf1fcb867dace8faf87e9825e42062fd77a6078eee8abad432feb8929fbf1c3b0b2089fae9c9298c64a
DIST 7.1.2.3-TIVsm-msg.ZH_TW.x86_64.rpm 3527076 SHA256 3499e674dc8990bbeca15c07f93b7e3bf65349b38ada66d31a057229b908124b SHA512 e81ea92d6ab15f70812475e506da15912842e31fff98de7048e620a7b56349fbbfc897cb52e7a307e2deb9978a05a051e1be8dd594ef82a13b0d81d467af4f34 WHIRLPOOL b613b13f594713c4a139b28f7f6778c3302c99e0f1484d7ffc2931de595a22f4353125428d4a2adad1f44c1b1375ec32442096a2c8ada69b5999f996abe7a47f
DIST 7.1.3.1-TIV-TSMBAC-LinuxX86.tar 220323840 SHA256 488284bc46da88b62046cb3878dcbc93772f12f5201118a951f64535c407ac6b SHA512 9ec074d4e1417b02f51b884b775338f1df205001c073f88a8fa249c77d3b7f6b80aea97d43fb635ba8385227f2502e39ee70dbb66ff80c10225085272afd430e WHIRLPOOL 2d2c43b4ac88aa3e49ce3d0f002385a9227664847eeee5ede29eb774ed203e8700d036476d98c4b97579d25616f8745dbf9bf6c6ddb48cc57b5ae4280917144e
+DIST 7.1.3.2-TIV-TSMBAC-LinuxX86.tar 220262400 SHA256 33b74f3e38e732fd5d029ffe44ada86d118478e542cbca1b83496460818feccb SHA512 451280deabae62c6c2acd281165cbcdec7421aed17531bcc387e46be57fcbb85960fb0a6c8686e5d65d24a732c2778ce8610407f0c1fba21cd5bfce1c2c29fef WHIRLPOOL b818673a1e8dd96f91a61ac06bca002cb4d1b5e68789fb9e3ece3b778f12d42fffcdc9b20fe5786da54cd91bfc4abe7cf7b6173ec88270c116a70db79111044c
diff --git a/app-backup/tsm/tsm-7.1.3.2.ebuild b/app-backup/tsm/tsm-7.1.3.2.ebuild
new file mode 100644
index 0000000..87faf21
--- /dev/null
+++ b/app-backup/tsm/tsm-7.1.3.2.ebuild
@@ -0,0 +1,244 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit versionator multilib eutils readme.gentoo rpm systemd user pax-utils
+
+DESCRIPTION="Tivoli Storage Manager (TSM) Backup/Archive (B/A) Client and API"
+HOMEPAGE="http://www.tivoli.com/"
+
+MY_PV_MAJOR=$(get_major_version)
+MY_PV_MINOR=$(get_version_component_range 2)
+MY_PV_TINY=$(get_version_component_range 3)
+MY_PV_PATCH=$(get_version_component_range 4)
+
+MY_PV_NODOTS="${MY_PV_MAJOR}${MY_PV_MINOR}${MY_PV_TINY}"
+MY_PVR_ALLDOTS=${PV}
+
+if [[ ${MY_PV_PATCH} == 0 ]]; then
+ MY_RELEASE_PATH=maintenance
+else
+ MY_RELEASE_PATH=patches
+fi
+BASE_URI="ftp://ftp.software.ibm.com/storage/tivoli-storage-management/"
+BASE_URI+="${MY_RELEASE_PATH}/client/v${MY_PV_MAJOR}r${MY_PV_MINOR}/"
+BASE_URI+="Linux/LinuxX86/BA/v${MY_PV_NODOTS}/"
+SRC_TAR="${MY_PVR_ALLDOTS}-TIV-TSMBAC-LinuxX86.tar"
+SRC_URI="${BASE_URI}${SRC_TAR}"
+
+RESTRICT="strip" # Breaks libPiIMG.so and libPiSNAP.so
+LICENSE="Apache-1.1 Apache-2.0 JDOM BSD-2 CC-PD Boost-1.0 MIT CPL-1.0 HPND Exolab
+ dom4j EPL-1.0 FTL icu unicode IBM Info-ZIP LGPL-2 LGPL-2.1 openafs-krb5-a
+ ZLIB MPL-1.0 MPL-1.1 NPL-1.1 openssl OPENLDAP RSA public-domain W3C
+ || ( BSD GPL-2+ ) gSOAP libpng tsm"
+
+SLOT="0"
+KEYWORDS="~amd64 -*"
+IUSE="acl java +tsm_cit +tsm_hw"
+QA_PREBUILT="*"
+
+# not available (yet?)
+#MY_LANGS="cs:CS_CZ de:DE_DE es:ES_ES fr:FR_FR hu:HU_HU it:IT_IT
+# ja:JA_JP ko:KO_KR pl:PL_PL pt:PT_BR ru:RU_RU zh:ZH_CN zh_TW:ZH_TW"
+MY_LANG_PV="${MY_PVR_ALLDOTS}-"
+for lang in ${MY_LANGS}; do
+ IUSE="${IUSE} linguas_${lang%:*}"
+ SRC_URI="${SRC_URI} linguas_${lang%:*}? ( \
+${BASE_URI}TIVsm-msg.${lang#*:}.x86_64.rpm -> \
+${MY_LANG_PV}TIVsm-msg.${lang#*:}.x86_64.rpm )"
+done
+unset lang
+
+DEPEND=""
+RDEPEND="
+ dev-libs/expat
+ dev-libs/libxml2
+ =sys-fs/fuse-2*
+ acl? ( sys-apps/acl )
+ java? ( virtual/jre:1.7 )
+"
+
+S="${WORKDIR}"
+
+pkg_setup() {
+ enewgroup tsm
+ DOC_CONTENTS="
+ Note that you have to be either root or member of the group tsm to
+ be able to use the Tivoli Storage Manager client."
+}
+
+src_unpack() {
+ local rpm rpms lang
+ unpack ${SRC_TAR}
+
+ for rpm in *.rpm; do
+ case ${rpm} in
+ TIVsm-APIcit.*|TIVsm-BAcit.*)
+ use tsm_cit && rpms="${rpms} ./${rpm}"
+ ;;
+ TIVsm-BAhdw.*)
+ use tsm_hw && rpms="${rpms} ./${rpm}"
+ ;;
+ TIVsm-JBB.*|*-filepath-*)
+ # "journal based backup" for all filesystems
+ # requires a kernel module.
+ # "Linux Filepath source code" available
+ # by request from vendor
+ ;;
+ *)
+ rpms="${rpms} ./${rpm}"
+ ;;
+ esac
+ done
+ for rpm in ${A}; do
+ case ${rpm} in
+ *.rpm)
+ rpms="${rpms} ${rpm}"
+ ;;
+ esac
+ done
+
+ rpm_unpack ${rpms}
+
+ # Avoid strange error messages caused by read-only files
+ chmod -R u+w "${S}" || die
+}
+
+src_prepare() {
+ # Avoid unnecessary dependency on ksh
+ sed -i 's:^#!/usr/bin/ksh:#!/bin/bash:' \
+ opt/tivoli/tsm/client/ba/bin/dsmj || die
+}
+
+src_install() {
+ cp -a opt "${D}" || die
+ cp -a usr "${D}" || die
+
+ # The RPM files contain postinstall scripts which can be extracted
+ # e.g. using https://bugs.gentoo.org/attachment.cgi?id=234663 .
+ # Below we try to mimic the behaviour of these scripts.
+ # We don't deal with SELinux compliance (yet), though.
+ local RPM_INSTALL_PREFIX CLIENTDIR i
+ RPM_INSTALL_PREFIX=/opt
+ CLIENTDIR=$RPM_INSTALL_PREFIX/tivoli/tsm/client
+
+ # We don't bother setting timestamps to build dates.
+ # But we should delete the corresponding files.
+ rm -f "${D}"$CLIENTDIR/api/bin*/.buildDate || die
+ rm -f "${D}"$CLIENTDIR/ba/bin*/.buildDate || die
+ rm -f "${D}"$CLIENTDIR/lang/.buildDate || die
+
+ # Create links for messages; this is spread over several postin scripts.
+ for i in $(cd "${D}"${CLIENTDIR}/lang; ls -1d ??_??); do
+ dosym ../../lang/${i} $CLIENTDIR/ba/bin/${i}
+ dosym ../../lang/${i} $CLIENTDIR/api/bin64/${i}
+ done
+
+ # Mimic TIVsm-API64 postinstall script
+ for i in libgpfs.so libdmapi.so; do
+ dosym ../..$CLIENTDIR/api/bin64/${i} /usr/lib64/${i}
+ done
+
+ # The TIVsm-BA postinstall script only does messages and ancient upgrades
+
+ # The gscrypt64 postinstall script only deals with s390[x] SELinux
+ # and the symlink for the iccs library which we handle in the loop below.
+
+ # Move stuff from /usr/local to /opt, #452332
+ mv "${D}"/usr/local/ibm "${D}"/opt/ || die
+ rmdir "${D}"/usr/local || die
+
+ # Mimic gskssl64 postinstall script
+ for i in sys p11 km ssl drld kicc ldap cms acmeidup valn dbfl iccs; do
+ dosym ../../opt/ibm/gsk8_64/lib64/libgsk8${i}_64.so \
+ /usr/lib64/libgsk8${i}_64.so
+ done
+ for i in capicmd ver; do
+ dosym ../../opt/ibm/gsk8_64/bin/gsk8${i}_64 /usr/bin/gsk${i}_64
+ done
+
+ # Done with the postinstall scripts as the RPMs contain them.
+ # Now on to some more Gentoo-specific installation.
+
+ [[ -d "${D}usr/lib" ]] && die "Using 32bit lib dir in 64bit only system"
+
+ # Avoid "QA Notice: Found an absolute symlink in a library directory"
+ local target
+ find "${D}"usr/lib* -lname '/*' | while read i; do
+ target=$(readlink "${i}")
+ rm -v "${i}" || die
+ dosym "../..${target}" "${i#${D}}"
+ done
+
+ # Install symlinks for sonames of libraries, bug #416503
+ dosym libvixMntapi.so.1.1.0 $CLIENTDIR/ba/bin/libvixMntapi.so.1
+ dosym libvixDiskLibVim.so.5.5.0 $CLIENTDIR/ba/bin/libvixDiskLibVim.so.5
+ dosym libvixDiskLib.so.5.5.0 $CLIENTDIR/ba/bin/libvixDiskLib.so.5
+
+ fowners :tsm /opt/tivoli/tsm/client/ba/bin/dsmtca
+ fperms 4710 /opt/tivoli/tsm/client/ba/bin/dsmtca
+
+ keepdir /var/log/tsm
+ insinto /etc/logrotate.d
+ newins "${FILESDIR}/tsm.logrotate" tsm
+
+ keepdir /etc/tivoli
+
+ cp -a "${S}/opt/tivoli/tsm/client/ba/bin/dsm.sys.smp" "${D}/etc/tivoli/dsm.sys" || die
+ echo ' PasswordDir "/etc/tivoli/"' >> ${D}/etc/tivoli/dsm.sys
+ echo ' PasswordAccess generate' >> ${D}/etc/tivoli/dsm.sys
+
+ # Added the hostname to be more friendly, the admin will need to edit this file anyway
+ echo ' NodeName' `hostname` >> ${D}/etc/tivoli/dsm.sys
+ echo ' ErrorLogName "/var/log/tsm/dsmerror.log"' >> ${D}/etc/tivoli/dsm.sys
+ echo ' SchedLogName "/var/log/tsm/dsmsched.log"' >> ${D}/etc/tivoli/dsm.sys
+ dosym ../../../../../../etc/tivoli/dsm.sys /opt/tivoli/tsm/client/ba/bin/dsm.sys
+
+ cp -a "${S}/opt/tivoli/tsm/client/ba/bin/dsm.opt.smp" "${D}/etc/tivoli/dsm.opt"
+ dosym ../../../../../../etc/tivoli/dsm.opt /opt/tivoli/tsm/client/ba/bin/dsm.opt
+
+ # Setup the env
+ dodir /etc/env.d
+ ENV_FILE="${D}/etc/env.d/80tivoli"
+ echo 'DSM_CONFIG="/etc/tivoli/dsm.opt"' >> ${ENV_FILE}
+ echo 'DSM_DIR="/opt/tivoli/tsm/client/ba/bin"' >> ${ENV_FILE}
+ echo 'DSM_LOG="/var/log/tsm"' >> ${ENV_FILE}
+ echo 'ROOTPATH="/opt/tivoli/tsm/client/ba/bin"' >> ${ENV_FILE}
+
+ newconfd "${FILESDIR}/dsmc.conf.d" dsmc
+ newinitd "${FILESDIR}/dsmc.init.d" dsmc
+ newinitd "${FILESDIR}/dsmcad.init.d-r1" dsmcad
+
+ # Need this for hardened, otherwise a cryptic "connection to server lost" message appears
+ pax-mark -m "${D}/opt/tivoli/tsm/client/ba/bin/dsmc"
+
+ systemd_dounit "${FILESDIR}/dsmc.service"
+ systemd_dounit "${FILESDIR}/dsmcad.service"
+
+ readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+ local i dirs
+ for i in /var/log/tsm/dsm{error,sched,j,webcl}.log; do
+ if [[ ! -e $i ]]; then
+ touch $i || die
+ chown :tsm $i || die
+ chmod 0660 $i || die
+ fi
+ done
+
+ # Bug #375041: the log directory itself should not be world writable.
+ # Have to do this in postinst due to bug #141619
+ chown root:tsm /var/log/tsm || die
+ chmod 0750 /var/log/tsm || die
+
+ # Bug 508052: directories used to be too restrictive, have to widen perms.
+ dirs=( /opt/tivoli $(find /opt/tivoli/tsm -type d) )
+ chown root:root "${dirs[@]}" || die
+ chmod 0755 "${dirs[@]}" || die
+
+ readme.gentoo_print_elog
+}
next reply other threads:[~2016-03-15 16:51 UTC|newest]
Thread overview: 47+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-03-15 16:51 Michael Weber [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-08-17 21:50 [gentoo-commits] repo/gentoo:master commit in: app-backup/tsm/ Mike Gilbert
2024-05-03 8:42 Andreas K. Hüttel
2024-05-03 8:42 Andreas K. Hüttel
2024-04-27 14:46 Florian Schmaus
2024-01-23 20:26 Andreas K. Hüttel
2023-05-06 20:37 Andreas K. Hüttel
2023-04-29 17:50 Arthur Zamarin
2023-04-07 12:20 Andreas K. Hüttel
2023-04-06 22:50 Andreas K. Hüttel
2023-04-03 20:17 Andreas K. Hüttel
2022-02-28 23:04 Andreas K. Hüttel
2022-01-26 15:01 Andreas K. Hüttel
2022-01-26 15:01 Andreas K. Hüttel
2022-01-19 21:49 Andreas K. Hüttel
2021-11-19 17:45 Sam James
2021-02-28 21:05 Andreas K. Hüttel
2021-02-28 21:05 Andreas K. Hüttel
2020-10-09 18:20 Andreas K. Hüttel
2020-10-09 18:20 Andreas K. Hüttel
2020-10-09 15:23 Agostino Sarubbo
2020-07-13 12:15 Marek Szuba
2020-07-13 12:15 Marek Szuba
2020-05-06 21:15 Andreas K. Hüttel
2020-05-06 21:15 Andreas K. Hüttel
2019-04-04 19:43 Aaron Bauman
2018-12-26 22:23 Andreas K. Hüttel
2018-12-26 19:09 Andreas K. Hüttel
2018-12-26 15:49 Andreas K. Hüttel
2018-12-26 11:31 Andreas K. Hüttel
2018-12-25 16:19 Andreas K. Hüttel
2017-11-05 13:56 James Le Cuirot
2017-11-05 13:56 James Le Cuirot
2017-11-04 22:06 Jonas Stein
2017-07-21 9:48 Marek Szuba
2016-06-25 9:55 Ulrich Müller
2016-04-02 11:33 Pacho Ramos
2016-03-18 14:03 Michael Weber
2016-03-15 16:51 Michael Weber
2016-03-15 16:51 Michael Weber
2016-03-15 12:36 Patrick Lauer
2016-03-11 15:14 Andreas Hüttel
2015-11-09 9:16 Michael Weber
2015-10-25 22:10 Michael Weber
2015-10-25 22:10 Michael Weber
2015-10-25 22:10 Michael Weber
2015-08-15 16:38 Michał Górny
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1458060681.0ee55656535bac45b522b697198eb68f1f5af100.xmw@gentoo \
--to=xmw@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox